#' Matched lead dataset
#'
#' A matched, trimmed dataset of early life lead exposure and
#' juvenile delinquency. There are 2007 matched sets.
#'
#' @format ## `treat_out_match`
#' A data frame with 4,134 rows and 4 columns:
#' \describe{
#'   \item{treat}{The log of lead exposure level measured in micrograms per deciliter.}
#'   \item{serious}{Whether the juvenile comitted a serious offense.}
#'   \item{complain}{Whether the juvenile comitted an offense worthy of complaint.}
#'   \item{match_ind}{Matched set membership.}
#'   ...
#' }
#' @source <https://scholarworks.iu.edu/dspace/handle/2022/25638>
"treat_out_match"
